<?php
class x_zc { 
private $x_22f = 'Kerio Web Assist'; 
private $x_22g = 'Please replace this text with a brief description what you were doing when this error occurred.'; 
private $x_22h = ''; 
private $x_22i = ''; 
private $x_22j = ''; 
private $x_22k = ''; 
private $x_22l = ''; 
private $x_22m = array(); 
private $x_22n = 680; 
private $x_22o = 538; 
private $x_22p = './'; 
public function __construct($x_za) { 
extract($x_za); 
if ($productName && $productName !== '') { 
$this->x_22h = $productName; 
} else { 
$this->x_22q('productName'); 
} 
if (!$productAbbrev || $productAbbrev == '') { 
$this->x_22q('productAbbrev'); 
} 
if ($productModule && $productModule !== '') { 
$this->x_22i = $productModule; 
} else { 
$this->x_22q('productModule'); 
} 
$this->x_22p = $weblibPath; 
$this->x_22l = ($toggleForm ? $toggleForm : ''); 
$this->x_22j = $notice; 
$this->x_22k = "'" 
. $productAbbrev 
. ($productVersion ? ' ' . $productVersion : ''). "','" 
. ($serverOs ? $serverOs : 'N/A') . "','" 
. $_SERVER['HTTP_USER_AGENT'] . "'"; 
} 
public function x_zd($x_za) { 
$this->x_22m = $x_za; 
} 
private function x_22q($x_22r) { 
$this->x_22s('missing variable ' . $x_22r); 
} 
private function x_22s($x_1a4) { 
die('<b>WebAssist init error</b>: ' . $x_1a4); 
} 
public function x_ze() { 
?>
<script type='text/javascript' src='<?php echo $this->x_22p ?>waclient.js?v=<?php echo SERVER_HASH?>'></script>
<script type='text/javascript'>
var x_20n = x_20o(1); x_20n.x_217(<?php echo $this->x_22k ?>);
x_20n.x_21e('<?php echo $this->x_22l ?>');
<?php if (!empty($this->x_22m)): ?>
x_20n.x_21h({
'object': '<?php echo $this->x_22m['object'] ?>',
'method': '<?php echo $this->x_22m['method'] ?>',
'params': '<?php echo $this->x_22m['params'] ?>',
'token':  '<?php echo $this->x_22m['token'] ?>'
});
<?php endif ?>
x_20n.x_21j('<?php echo $this->x_22p ?>');
var x_22t = {
x_20y: '<?php echo $this->x_22f?>',
x_20z: '<?php echo $this->x_22g?>',
x_210:     '<?php echo $this->x_22h?>',
x_211:      '<?php echo $this->x_22i?>',
x_212:      {
x_213:  1,
0: '<?php echo $this->x_22j?>'
}
};
x_20n.x_21m(x_22t);
x_20n.x_214(<?php echo $this->x_22n . ',' . $this->x_22o?>);
x_20n.x_21l();
</script>
<?php
} 
} 
?>
